| Flutter Linux Embedder |

Functions
fl_view_private.h File Reference
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_view.h"`
`#include "flutter/shell/platform/linux/fl_gl_area.h"`

Go to the source code of this file.

## Functions
void | fl_view_set_textures (FlView *view, GdkGLContext *context, GPtrArray *textures)
GHashTable * | fl_view_get_keyboard_state (FlView *view)

## Function Documentation

## ◆ fl_view_get_keyboard_state()

GHashTable* fl_view_get_keyboard_state | ( | FlView * | view | ) |

fl_view_get_keyboard_state: @view: an #FlView.

Returns the keyboard pressed state. The hash table contains one entry per pressed keys, mapping from the logical key to the physical key.*

Definition at line 790 of file fl_view.cc.

790 {
791 g_return_val_if_fail(FL_IS_VIEW(self), nullptr);
792
793 return fl_keyboard_manager_get_pressed_state(self->keyboard_manager);
794 }

References fl_keyboard_manager_get_pressed_state(), and self.

Referenced by fl_view_keyboard_delegate_iface_init().

## ◆ fl_view_set_textures()

void fl_view_set_textures | ( | FlView * | view,
|  | GdkGLContext * | context,
|  | GPtrArray * | textures
| ) |  |

fl_view_set_textures: @view: an #FlView. @context: a #GdkGLContext, for #FlGLArea to render. @textures: (transfer none) (element-type FlBackingStoreProvider): a list of #FlBackingStoreProvider.

Set the textures for this view to render.

Definition at line 775 of file fl_view.cc.

777 {
778 g_return_if_fail(FL_IS_VIEW(self));
779
780 if (self->gl_area == nullptr) {
781 self->gl_area = FL_GL_AREA(fl_gl_area_new(context));
782 gtk_widget_show(GTK_WIDGET(self->gl_area));
783 gtk_container_add(GTK_CONTAINER(self->event_box),
784 GTK_WIDGET(self->gl_area));
785 }
786
787 fl_gl_area_queue_render(self->gl_area, textures);
788 }

References fl_gl_area_new(), fl_gl_area_queue_render(), and self.

Referenced by fl_renderer_gl_present_layers().

fl_gl_area_new
GtkWidget * fl_gl_area_new(GdkGLContext *context)
Definition: fl_gl_area.cc:121
self
GdkEvent FlView * self
Definition: fl_view.cc:100
fl_keyboard_manager_get_pressed_state
GHashTable * fl_keyboard_manager_get_pressed_state(FlKeyboardManager *self)
Definition: fl_keyboard_manager.cc:685
fl_gl_area_queue_render
void fl_gl_area_queue_render(FlGLArea *self, GPtrArray *textures)
Definition: fl_gl_area.cc:129